[Testing Update i686] 2018-08-10 to 19 - GCC 8.2, Perl 5.28, Python 3.7, LibreOffice, Firefox, removal of mhwd-nvidia and kernel 4.1

update
testing
manjaro32

#41

That’s possible if you ran it as root or sudo.

It shouldn’t happen otherwise, so this should be fine when it is snapped over to stable.


#42

yes indeed, I ran the command once as normal user and when it failed I ran it as sudo again. I delete the file manually and do the update afterwards


#43

the update worked now, but system-config-printer is still failing to run.
Now another module is missing. It seems still more packages have to be rebuild.

Traceback (most recent call last):
  File "/usr/share/system-config-printer/system-config-printer.py", line 76, in <module>
    import cupshelpers
  File "/usr/lib/python3.7/site-packages/cupshelpers/__init__.py", line 60, in <module>
    from . import openprinting
  File "/usr/lib/python3.7/site-packages/cupshelpers/openprinting.py", line 22, in <module>
    import requests, urllib.request, urllib.parse, urllib.error, platform, threading, tempfile, traceback
ModuleNotFoundError: No module named 'requests'

Thanks for the great work you are doing Jonathon :slightly_smiling_face:


#44

Ah, I’ve rebuilt this already against x32-unstable, I’m currently faffing locally with getting Chromium building (which needed LLVM rebuilding, which needed OCaml modules building, which needed Python modules building…)

It should be coming “soon”, along with the other packages.


#45

OK here we go. Possibly the most involved set of rebuilds I’ve done to date:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            chromium                    -      68.0.3440.106-0
                                  gn                    -    0.1458.f9dbfd12-0
                                llvm                    -           6.0.1-3.09
                           llvm-libs                    -           6.0.1-3.09
                          llvm-ocaml                    -           6.0.1-3.09
                        ocaml-ctypes                    -             0.14.0-0
                      ocaml-integers                    -              0.2.2-0
                        ocaml-result                    -                1.3-0
                         ocaml-topkg                    -              0.9.1-0
               python-pytest-httpbin                    -           0.3.0-3.01
                     python-requests                    -          2.19.1-1.01
                      python-urllib3                    -            1.23-1.01
                  python-urllib3-doc                    -            1.23-1.01
              python2-pytest-httpbin                    -           0.3.0-3.01
                    python2-requests                    -          2.19.1-1.01
                     python2-urllib3                    -            1.23-1.01

Now I’ll do a sync and find that arch32 have already done this… :rofl:

Edit: Phew, no, they haven’t. I also forgot about the kernels I built:

:: Different overlay package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            linux414            4.14.64-1            4.14.65-1
                    linux414-headers            4.14.64-1            4.14.65-1
                             linux44            4.4.149-1            4.4.150-1
                     linux44-headers            4.4.149-1            4.4.150-1
                             linux49            4.9.121-1            4.9.122-1
                     linux49-headers            4.9.121-1            4.9.122-1


:: Different sync package(s) in repository core i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                               bzip2            1.0.6-7.1            1.0.6-7.2
                            fakeroot             1.23-1.1             1.23-1.2


:: Different sync package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                             haveged            1.9.2-1.0            1.9.4-2.0
                              strace             4.23-1.0             4.24-1.0
                            unixodbc            2.3.6-1.0            2.3.7-1.0
                          x2goserver          4.1.0.2-1.0          4.1.0.2-2.0
                               xterm              333-1.0              334-1.0


:: Different sync package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            capstone            3.0.4-6.0            3.0.5-1.0
                     python-capstone            3.0.4-6.0            3.0.5-1.0
                    python2-capstone            3.0.4-6.0            3.0.5-1.0
                               sndio            1.4.0-1.0            1.5.0-1.1
                                 xca                    -            2.1.0-2.0

#46

After the latest updates ‘system-config-printer’ works.


#47

A couple of rebuilds which showed up as needed (due to Perl 5.28) on my EeePC:

:: Different overlay package(s) in repository extra i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
                            libproxy                    -          0.4.15-7.09
                          subversion                    -          1.10.2-2.01

Any updated Community packages are currently being built. I finally got round to adding all of the new GitLab repos into a single top-level repo as submodules. It took ages to do, and that was with writing a script to help do it…


#48

Here’s a load of updated Community packages:

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
           adapta-black-breath-theme          3.93.1.18-1          3.94.0.96-1
             adapta-black-maia-theme          3.93.1.18-1          3.94.0.96-1
                 adapta-breath-theme          3.93.1.18-1          3.94.0.96-1
                   adapta-maia-theme          3.93.1.18-1          3.94.0.96-1
                   arc-themes-breath           20180114-1           20180715-1
                     arc-themes-maia           20180114-1           20180715-1
             arc-themes-solid-breath           20180114-1           20180715-1
               arc-themes-solid-maia           20180114-1           20180715-1
                 awesome-freedesktop        r96.8013a6e-1        r98.4226433-1
              breath-dark-icon-theme              0.3.1-1              0.4.0-1
                   breath-icon-theme              0.3.1-1              0.4.0-1
                    breath-wallpaper              0.3.1-1              0.4.0-1
                       bspwm-manjaro              0.9.5-2              0.9.5-3
                       budgie-extras              0.4.4-1              0.5.0-1
                           bumblebee             3.2.1-19             3.2.1-20
                              clipit              1.4.3-2              1.4.4-8
      deepin-desktop-schemas-manjaro             3.2.13-1             3.2.18-1
                   deepin-wallpapers         1:20180610-1            2:1.7.5-2
                     faba-icon-theme            1:4.1.2-1              1:4.3-1
gnome-shell-extension-desktop-icons-reworked                0.2-2                0.4-1
gnome-shell-extension-manjaro-update                  5-2                  6-1
         gnome-shell-extension-unite                 16-1                 18-1
                          i3-scripts           20180521-1           20180819-1
                            i3-scrot                1.1-1                  2-1
                                inxi             3.0.10-2             3.0.20-1
                                lain      r1589.2ddb55b-1      r1660.4dbf7b9-1
            manjaro-browser-settings           20180523-1           20180819-1
             manjaro-budgie-settings           20180610-1           20180819-1
           manjaro-cinnamon-settings           20180530-1           20180819-1
manjaro-gnome-extension-settings-18.0           20180530-1           20180819-1
         manjaro-gnome-settings-18.0           20180530-1           20180819-1
                 manjaro-i3-settings           20180508-1           20180819-1
        manjaro-kde-minimal-settings         20180427-1.0           20180819-1
                manjaro-kde-settings         20180427-1.0           20180819-1
  manjaro-xfce-gtk3-minimal-settings           20180516-1           20180819-1
          manjaro-xfce-gtk3-settings           20180516-1           20180819-1
       manjaro-xfce-minimal-settings           20180530-1           20180819-1
               manjaro-xfce-settings           20180530-1           20180819-1
                           menulibre              2.1.5-1              2.2.0-2
                     moka-icon-theme              5.3.6-1              5.4.0-1
                             mugshot              0.3.2-2              0.4.1-1
                        palemoon-bin             27.9.2-1             28.0.0-1
                    palemoon-i18n-ar             27.9.2-1             28.0.0-1
                    palemoon-i18n-bg             27.9.2-1             28.0.0-1
                    palemoon-i18n-cs             27.9.2-1             28.0.0-1
                    palemoon-i18n-da             27.9.2-1             28.0.0-1
                    palemoon-i18n-de             27.9.2-1             28.0.0-1
                    palemoon-i18n-el             27.9.2-1             28.0.0-1
                 palemoon-i18n-en-gb             27.9.2-1             28.0.0-1
                 palemoon-i18n-es-ar             27.9.2-1             28.0.0-1
                 palemoon-i18n-es-es             27.9.2-1             28.0.0-1
                 palemoon-i18n-es-mx             27.9.2-1             28.0.0-1
                    palemoon-i18n-fi             27.9.2-1             28.0.0-1
                    palemoon-i18n-fr             27.9.2-1             28.0.0-1
                    palemoon-i18n-gl             27.9.2-1             28.0.0-1
                    palemoon-i18n-hr             27.9.2-1             28.0.0-1
                    palemoon-i18n-hu             27.9.2-1             28.0.0-1
                    palemoon-i18n-id             27.9.2-1             28.0.0-1
                    palemoon-i18n-is             27.9.2-1             28.0.0-1
                    palemoon-i18n-it             27.9.2-1             28.0.0-1
                    palemoon-i18n-ja             27.9.2-1             28.0.0-1
                    palemoon-i18n-kn             27.9.2-1             28.0.0-1
                    palemoon-i18n-ko             27.9.2-1             28.0.0-1
                    palemoon-i18n-nl             27.9.2-1             28.0.0-1
                    palemoon-i18n-pl             27.9.2-1             28.0.0-1
                 palemoon-i18n-pt-br             27.9.2-1             28.0.0-1
                 palemoon-i18n-pt-pt             27.9.2-1             28.0.0-1
                    palemoon-i18n-ro             27.9.2-1             28.0.0-1
                    palemoon-i18n-ru             27.9.2-1             28.0.0-1
                    palemoon-i18n-sk             27.9.2-1             28.0.0-1
                    palemoon-i18n-sl             27.9.2-1             28.0.0-1
                    palemoon-i18n-sr             27.9.2-1             28.0.0-1
                 palemoon-i18n-sv-se             27.9.2-1             28.0.0-1
                    palemoon-i18n-tl             27.9.2-1             28.0.0-1
                    palemoon-i18n-tr             27.9.2-1             28.0.0-1
                    palemoon-i18n-uk             27.9.2-1             28.0.0-1
                    palemoon-i18n-vi             27.9.2-1             28.0.0-1
                 palemoon-i18n-zh-cn             27.9.2-1             28.0.0-1
                 palemoon-i18n-zh-tw             27.9.2-1             28.0.0-1
                                 pix              1.8.1-1              1.8.2-1
               plasma5-themes-breath              0.3.1-1              0.4.0-1
                               pm2ml            2017.11-1            2017.12-2
                           powerpill            2017.11-1             2018.7-1
         python-jade-application-kit              1.3.5-1              1.3.5-2
                    python-npyscreen             4.10.5-1             4.10.5-2
                   python-tesserwrap              0.1.6-1              0.1.6-3
                   python3-memoizedb          2017.3.30-1          2017.3.30-2
                        python3-xcgf             2017.3-1             2017.3-2
                        python3-xcpf            2017.12-1             2018.8-1
                   sddm-breath-theme              0.3.1-1              0.4.0-1
                               snapd              2.30-10             2.34.3-1
                thunar-shares-plugin          0.2.0.git-5              0.3.0-1
                           timeshift               18.4-2             18.6.1-1
                    transifex-client             0.12.2-1             0.13.4-1
                         vlc-nightly     3.0.3v20180520-1     3.0.4v20180809-1
             vte-notification-common             0.52.1-1             0.52.2-1
                   vte3-notification             0.52.1-1             0.52.2-1
                                 xed              1.8.1-1              1.8.3-1
       xfce4-whiskermenu-plugin-gtk3              2.2.0-1              2.2.1-1
                                 yay              6.786-2              8.998-2
                    appimagelauncher                    -1.0alpha+git20180819.e741cba-1
                            cinnamon                    -            3.8.8-1.1
                   grub-theme-adapta                    -                1.4-1
                     grub-theme-blue                    -                1.4-1
              grub-theme-manjaro-dog                    -                1.4-1
                      jade-dashboard                    -              0.6.5-1
                      jade-menu-data                    -              1.0.2-1
                manjaro-gdm-branding                    -           20180819-1
                   manjaro-gdm-theme                    -           20180819-1
        manjaro-openbox-basic-config                    -            1.18.12-2
      manjaro-openbox-minimal-config                    -            1.18.12-2
      manjaro-openbox-regular-config                    -            1.18.12-2
             manjaro-webdad-settings                    -              0.7.4-1
                   mhwd-i2c-syna3602                    -                1.0-1
                           mintstick                    -              1.3.8-1
          plasma5-theme-adaptabreath                    -              0.1.4-1
                  python2-tesserwrap                    -              0.1.6-3
                       webdad-speech                    -              1.0.0-1
                      webdad-theming                    -             0.14.0-1
                      webdad-webapps                    -              2.0.0-1

A few more:

:: Different overlay package(s) in repository community i686

-------------------------------------------------------------------------------
                             PACKAGE          x32-testing         x32-unstable
-------------------------------------------------------------------------------
             breeze-maia-icon-themes             5.45.0-1             5.47.0-1
               gnome-terminal-fedora             3.28.1-1             3.28.2-1
            manjaro-gnome-assets-dev           20180523-1           20180819-1

#49

I’m thinking this might be a good enough spot for a stable snap.

Any opinions/objections/etc.?


#50

Snapped as the next set of FFMPEG-related rebuilds are starting.


#51

Does this help???

[dad@manjaro ~]$ pacman -Qqo ‘/usr/lib/perl5/5.26’
imagemagick
[dad@manjaro ~]$ pacman -Qqo ‘/usr/lib/perl5/5.28’
cairo-perl
glib-perl
gtk2-perl
libproxy
net-snmp
pango-perl
perl
perl-clone
perl-dbi
perl-encode-locale
perl-error
perl-file-listing
perl-html-parser
perl-html-tagset
perl-http-cookies
perl-http-daemon
perl-http-date
perl-http-message
perl-http-negotiate
perl-io-html
perl-io-socket-ssl
perl-libwww
perl-locale-gettext
perl-lwp-mediatypes
perl-lwp-protocol-https
perl-mailtools
perl-net-http
perl-net-ssleay
perl-parse-yapp
perl-text-csv
perl-timedate
perl-try-tiny
perl-uri
perl-www-robotrules
perl-xml-libxml
perl-xml-parser
subversion
xfconf
[dad@manjaro ~]$


#52

This should be 5.28 already… are your mirrors up-to-date?


#53


#54

Ah, sorry, I misread your post. It makes sense that perl owns a package in /usr/lib/perl5/5.28.

It’s imagemagick which owns files in /usr/lib/perl5/5.26, and that likely needs a rebuild.


#55

If printing is broke I woldn’t even notice!


#56

Testing branch VM won’t boot, sddm is segfaulting, x won’t start. Previously it was x infinite loop segfaulting.

Tried syncing with stable but they are now the same, tried moving to unstable but there are dependency issues (ffmpeg with new x264 updates) so no bueno there also.

Unfortunately my x32 VM fails to boot almost as often as it does. I’ll wait until unstable is in an updatable state and try later. If still no bueno it may be time to put a sheet around it and mercifully dispose of this VM.

:disappointed:


#57

The update is still blocked by:

:: Replace libx264 with extra/x264? [Y/n]
resolving dependencies...
looking for conflicting packages...
warning: removing 'libx264' from target list because it conflicts with 'x264'
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'libx264.so=152-32' required by ffmpeg

#58

I was told an easy solution
https://bbs.archlinux32.org/viewtopic.php?pid=4755#p4755
Just say no

:: Replace libx264 with extra/x264? [Y/n] n

and the update will run.


#59

mhwd needs some love after dropping mhwd-nvidia and drivers. Also I’ll try to provide a newer ISO based on 17.1.12 for i686 later today.


#60

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.